Plank.Logger – plank Reference Manual

# Logger

## Object Hierarchy:

## Description:

public class Logger : Object

A logging class to display all console messages in a nice colored format.

Namespace: Plank
Package: plank

## Content:

### Properties:

- public LogLevel DisplayLevel { get; set; }
  The current log level. Controls what log messages actually appear on the console.

### Static methods:

- public static void initialize (string app_name)
  Initializes the logger for the application.
- public static void notification (string msg, string icon = "")
  Displays a log message using libnotify. Also displays on the console.
- public static void verbose (string msg, ...)
  Displays a verbose log message to the console.

### Inherited Members:

All known members inherited from class GLib.Object

- @get
- @new
- @ref
- @set
- add_toggle_ref
- add_weak_pointer
- bind_property
- connect
- constructed
- disconnect
- dispose
- dup_data
- dup_qdata
- force_floating
- freeze_notify
- get_class
- get_data

- get_property
- get_qdata
- get_type
- getv
- interface_find_property
- interface_install_property
- interface_list_properties
- is_floating
- new_valist
- new_with_properties
- newv
- notify
- notify_property
- ref_count
- ref_sink
- remove_toggle_ref
- remove_weak_pointer

- replace_data
- replace_qdata
- set_data
- set_data_full
- set_property
- set_qdata
- set_qdata_full
- set_valist
- setv
- steal_data
- steal_qdata
- thaw_notify
- unref
- watch_closure
- weak_ref
- weak_unref